Skip to main content

Get the details of a single claim

GET 

/v1/claims/:id

Get the details of a claim for an Insurer or provider/hospital.

Request​

Path Parameters

    id numberrequired

    The id of the claim you want to get

Query Parameters

    with_fields string

    When present, value should be comma seperated names of field the user would like returned with the response.

Responses​

Success

Schema
    id integer
    ref string

    This is the hmo_erp_id when user is an Insurer, and provider_ref when user is a provider.

    pile_id integer
    insurer object

    Present only when user is a provider/hospital.

    id integer
    code string
    name string
    provider object

    Present only when user is an Insurer

    id integer
    code string
    name string
    enrollee object
    id integer

    This is absent if is_floating is truthy.

    insurance_no string
    firstname string
    lastname string
    is_floating boolean
    encounter_date date
    created_at date
    updated_at date-time
    submitted_at date
    vetted_at date
    diagnoses object[]
  • Array [
  • id integer
    icd_code string
    name string
  • ]
  • amount_billed double
    amount_approved double
    status string

    Status includes: PENDING, APPROVED, PARTIALLY_APPROVED, REJECTED.

    PARTIALLY_APPROVED represents when total amount is not equal to the amount approved but not equal to zero(0).

    attachments object[]
  • Array [
  • id integer
    title string
    file_type string
    filename string

    This is the uploaded filename.

    file_url string

    The file URL on Storage.

    thumbnail_url string

    Images Only Auto-generated URL that utilizes Cloudinary transformations to give a thumbnail of the image attachment, 150px by 150px dimensions.

    preview_url string

    Images Only Similar to thumbnail URL, but no width specified, only a reduced height to produce a smaller-sized image that can be suitable for previewing the attachment in a modal before the full file is downloaded.

  • ]
  • items object[]
  • Array [
  • ref string

    This is the hmo_erp_id of the Insurer the claim and claim item belongs.

    description string
    unit_price_billed double
    unit_price_approved double
    qty_billed integer
    qty_approved integer
    sub_total_billed double
    sub_total_approved double
    comments string[]
    status string

    Status includes: PENDING, APPROVED, PARTIALLY_APPROVED, REJECTED.

    benefit objectnullable

    Summary of the matched plan benefit for the returned care or treatment item.

    id integer

    The unique ID of the matched plan benefit.

    label stringnullable

    Human-readable label for the matched benefit.

    source_type stringnullable

    Possible values: [care, care_group, care_type, diagnosis]

    Indicates how the benefit was matched.

    care_group objectnullable

    Care group metadata when the matched benefit comes from a care-group rule.

    id integernullable
    name stringnullable
  • ]
Loading...